# NodeBrain Planner 0.8.0 (XML Schema 0.8.0)
#
# Name:      Caboodle
#
# Title:     Caboodle Management Agent
#
# Purpose:
#   
#   This agent distributes alarms based on notification subscriptions.
#
# Warning:
#
#   Do not edit this file manually unless it is no longer under the control of NodeBrain Planner.
#   Otherwise, your changes will be removed by the next update.
#
# Path:      CABOODLE/plan/Caboodle
#
# Scheme:    _Agent
#
#================================================================================================
# Permits:
#
#   Administrator (owner) <root@localhost>
#
#================================================================================================
# History:
#
# Date       Time     User - Change - Reason
# ---------- -------- ------------------------------------------------------------------------------
# 2013-02-19 23:20:43 Administrator - Full plan update - 
#================================================================================================
#
rank Caboodle owner;
set out="out",log="log/Caboodle.log";
define control node pipe.server("Caboodle@pipe/Caboodle");
define local   node peer.server("Caboodle@socket/Caboodle");

define logMaint node;
logMaint. define logRoll  on(~(m(0:0))): archive
logMaint. define logCompress on(logRoll ~T(30s)):= gzip log/Caboodle.*.log
logMaint. define logClean on(logRoll):=| find log -name 'Caboodle.*.log.gz' -mtime +7 -exec rm {} \;
logMaint. define outClean on(logRoll):=| find log -name 'Caboodle.*.out' -mtime +7 -exec rm {} \;

#========================================================================
# Janitor:
#========================================================================

logMaint. define servant  on(logRoll):=| find out -name 'servant.*.out' -mtime +3 -exec rm {} \;
logMaint. define skull    on(logRoll):=| find out -name 'skull.*.txt' -mtime +3 -exec rm {} \;

#========================================================================
# Blocks:
#========================================================================

# Block 1  

# Input alarm pipe
define alarm node pipe.server("Caboodle@pipe/alarm");

# Block 2  disabled

# # Webster - Tiny Web Server
# define webster node webster("default");
# webster. define uri cell "https://0.0.0.0:49443";
# webster. define Config cell "config/CaboodleConfig.conf";
# webster. define Filter cell "plan/CaboodleFilter/CaboodleFilter.nb";

#========================================================================
# Children:
#========================================================================

source plan/CaboodleNotify/CaboodleNotify.nb;
