# NodeBrain Planner 0.8.0 (XML Schema 0.8)
#
# Name:      _Agent
#
# Title:     Model Agent
#
# Purpose:
#   
#   This agent is used as model when creating new agents.
#
# Warning:
#
#   Do not edit this file manually unless it is no longer under the control of NodeBrain Planner.
#   Otherwise, your changes will be removed by the next update.
#
# Path:      CABOODLE/plan/_Agent
#
# Scheme:    _Agent
#
#================================================================================================
# Permits:
#
#   Administrator (owner) <root@localhost>
#
#================================================================================================
# History:
#
# Date       Time     User - Change - Reason
# ---------- -------- ------------------------------------------------------------------------------
# 2013-04-09 00:17:57 Ed Trettevik - Edit  - 
# 2013-04-09 00:18:05 Ed Trettevik - Edit  - 
# 2013-04-09 00:19:05 Ed Trettevik - Edit  - 
# 2013-04-09 00:19:14 Ed Trettevik - Edit  - 
# 2013-04-09 00:27:35 Ed Trettevik - Edit  - 
# 2013-04-09 00:32:25 Ed Trettevik - Edit  - 
# 2013-04-09 00:34:35 Ed Trettevik - Edit  - 
#================================================================================================
#
rank _Agent owner;
set out="out",log="log/_Agent.log";
define control node pipe.server("_Agent@pipe/_Agent");
define local   node peer.server("_Agent@socket/_Agent");

define logMaint node;
logMaint. define logRoll  on(~(m(0:0))): archive
logMaint. define logCompress on(logRoll ~T(30s)):= gzip log/_Agent.*.log
logMaint. define logClean on(logRoll):=| find log -name '_Agent.*.log.gz' -mtime +7 -exec rm {} \;
logMaint. define outClean on(logRoll):=| find log -name '_Agent.*.out' -mtime +7 -exec rm {} \;

#========================================================================
# Blocks:
#========================================================================

#========================================================================
# Children:
#========================================================================

